# TODO:
# - own UID/GID
Summary:	RADIUS proxy that in addition to to usual RADIUS UDP transport, also supports TLS (RadSec)
Name:		radsecproxy
Version:	1.6.1
Release:	1
License:	GPLv2+ or BSD-like
Group:		Networking/Daemons/Radius
Source0:	http://software.uninett.no/radsecproxy/%{name}-%{version}.tar.gz
# Source0-md5:	841ec9b1492a7c7ae301a05ab035d85d
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	%{name}.upstart
Patch0:		%{name}-docbook2x.patch
URL:		http://software.uninett.no/radsecproxy/
# For manual creation:
BuildRequires:	docbook2X
BuildRequires:	nettle-devel
Requires:	openssl >= 1.0.0b
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
radsecproxy is a generic RADIUS proxy that in addition to to usual
RADIUS UDP transport, also supports TLS (RadSec). The aim is for the
proxy to have sufficient features to be flexible, while at the same
time to be small, efficient and easy to configure. Currently the
executable on Linux is only about 48 Kb, and it uses about 64 Kb
(depending on the number of peers) while running.

%package upstart
Summary:	Upstart job description for %{name}
Summary(pl.UTF-8):	Opis zadania Upstart dla %{name}
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	upstart >= 0.6

%description upstart
Upstart job description for %{name}.

%description upstart -l pl.UTF-8
Opis zadania Upstart dla %{name}.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-fticks
# Some trash comes with tar:
%{__make} clean
%{__make}
# FIXME:
mv ______radsecproxy.conf\ ____.5 radsecproxy.conf.5

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/radsecproxy.conf.d \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,init}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p radsecproxy.conf-example $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/init/%{name}.conf

install -p radsecproxy.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "RADIUS secure proxy"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%post upstart
%upstart_post %{name}

%postun upstart
%upstart_postun %{name}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/radsecproxy.conf
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(750,root,root) %dir %{_sysconfdir}/radsecproxy.conf.d
%attr(755,root,root) %{_sbindir}/radsecproxy
%attr(755,root,root) %{_bindir}/radsecproxy-conf
%attr(755,root,root) %{_bindir}/radsecproxy-hash
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*

%files upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf
%changelog
* Wed Oct 17 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/radsecproxy.git;a=log;h=master

* Wed Oct 17 2012 Paweł Gołaszewski <blues@pld-linux.org> f86a694
1.6.1 - security update (RADSECPROXY-43)

* Mon Apr 30 2012 Paweł Gołaszewski <blues@pld-linux.org> 41f2d5c
- cleanups

* Mon Apr 30 2012 Paweł Gołaszewski <blues@pld-linux.org> f2a5299
- 1.6 - remove applied patches (fticks, visinst), update docbook2x patch

* Sat Feb 04 2012 Paweł Gołaszewski <blues@pld-linux.org> 299059c
- really create pid

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> e985cb9
- BR: nettle-devel (for fticks)

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> 60f7c37
- rel.3 - fticksVISINST support

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> 108ab00
- comment about fticks patch

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> f2a23b5
- rel.2 - works fine

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> f34dc1a
- rel. 1.9 - fticks support. More manual fixes/workarounds

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> 714d9de
- create manual pages

* Sun Dec 04 2011 Adam Osuchowski <adwol@pld-linux.org> dac81cf
- up to 1.5

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> 54298ea
- update upstart deps

* Wed Nov 24 2010 Paweł Gołaszewski <blues@pld-linux.org> 80e19a8
- 1.4.2 - fix crash from debug code; openssl is detected runtime

* Fri Nov 19 2010 Paweł Gołaszewski <blues@pld-linux.org> 96b7959
- 1.4.1 - BR openssl-devel >=1.0.0b (else openssl cache is disabled)

* Mon Jun 28 2010 Paweł Gołaszewski <blues@pld-linux.org> 234cf36
- upstart support

* Mon Jun 28 2010 Paweł Gołaszewski <blues@pld-linux.org> ea7330c
- rel.2 - upstart support

* Mon Jun 28 2010 Paweł Gołaszewski <blues@pld-linux.org> 4fbe4ff
- radsecproxy, not cpqarrayd

* Wed Jun 16 2010 Paweł Gołaszewski <blues@pld-linux.org> 55a5fa0
- rel.1

* Wed Jun 16 2010 Paweł Gołaszewski <blues@pld-linux.org> a275063
- 1.4

* Wed Jun 17 2009 Paweł Gołaszewski <blues@pld-linux.org> 8d228d8
- add logrotate file

